Page MenuHomePhabricator

Undoing the last edit to an item should show a undo summary, not a restore one
Closed, ResolvedPublic

Description

SubmitEntityAction::undo will use the restore summary if we undo the latest page edit (as it basically restores the page version from before that edit).

This behavior is unexpected for the user, we should rather use an undo summary in these cases as well.

Patches for review:

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAvoid unnecessary diffing/patching in SubmitEntityAction
mediawiki/extensions/Wikibase : masterRefactor duplicate/misplaced code in SubmitEntityAction
mediawiki/extensions/Wikibase : masterWhen undoing the latest revision, use undo summary

Event Timeline

hoo created this task.Oct 7 2016, 10:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2016, 10:43 AM
Nikki added a subscriber: Nikki.Oct 7 2016, 10:43 AM

Change 314807 had a related patch set uploaded (by Matěj Suchánek):
When undoing the latest revision, use undo summary

https://gerrit.wikimedia.org/r/314807

thiemowmde triaged this task as Low priority.Oct 11 2016, 3:15 PM
thiemowmde moved this task from incoming to consider for next sprint on the Wikidata board.
thiemowmde added a subscriber: thiemowmde.

Change 315287 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Refactor duplicate/misplaced code in SubmitEntityAction

https://gerrit.wikimedia.org/r/315287

Change 314807 merged by jenkins-bot:
When undoing the latest revision, use undo summary

https://gerrit.wikimedia.org/r/314807

Change 316310 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Avoid unnecessary diffing/patching in SubmitEntityAction

https://gerrit.wikimedia.org/r/316310

Change 315287 merged by jenkins-bot:
Refactor duplicate/misplaced code in SubmitEntityAction

https://gerrit.wikimedia.org/r/315287

thiemowmde updated the task description. (Show Details)Oct 18 2016, 2:00 PM

Change 316310 merged by jenkins-bot:
Avoid unnecessary diffing/patching in SubmitEntityAction

https://gerrit.wikimedia.org/r/316310

Jonas closed this task as Resolved.Oct 18 2016, 7:56 PM
Jonas updated the task description. (Show Details)
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-10-12 board.